package pw.stadnik.searcher.algorithms;

/**
 * This <code>enum</code> provides three constants
 * to determine the algorithm used.
 * 
 * @author Jakub Stadnik
 *
 */
public enum MethodType
{
	/**
	 * Consensus method
	 */
	CONSENSUS,
	/**
	 * Auction method
	 */
	AUCTION,
	/**
	 * Game Theory method
	 */
	GAMETHEORY,
	/**
	 * Statistical run
	 */
	STATISTICS
}
