package pw.stadnik.searcher.unused;

/**
 * Class serves as a transfer object of agent
 * configuration parameters.
 * 
 * @author Jakub Stadnik
 *
 */
public class SearchAgentTO
{
	/**
	 * Database identifier of a search agent.
	 */
	private Integer id;
	/**
	 * Name of a search agent. It is used to
	 * create an unique AID.
	 */
	private String name;
	/**
	 * Returns id
	 * 
	 * @return database identifier
	 */
	public Integer getId()
	{
		return id;
	}
	/**
	 * Sets id
	 * 
	 * @param id new database identifier
	 */
	public void setId(Integer id)
	{
		this.id = id;
	}
	/**
	 * Returns name
	 * 
	 * @return agent name
	 */
	public String getName()
	{
		return name;
	}
	/**
	 * Sets name
	 * 
	 * @param name new agent name
	 */
	public void setName(String name)
	{
		this.name = name;
	}
	
	
}
